Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalComboBoxUI.MetalComboBoxLayoutManager

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
            |
            +--javax.swing.plaf.metal.MetalComboBoxUI.MetalComboBoxLayoutManager

All Implemented Interfaces:
  LayoutManager

Enclosing class:
  MetalComboBoxUI

public class MetalComboBoxUI.MetalComboBoxLayoutManager
extends BasicComboBoxUI.ComboBoxLayoutManager

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`MetalComboBoxUI.MetalComboBoxLayoutManager()`

Method Summary
`void` | `layoutContainer(Container parent)` Lays out the container in the specified panel.
`void` | `superLayout(Container parent)`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager
`addLayoutComponent, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalComboBoxUI.MetalComboBoxLayoutManager

    public MetalComboBoxUI.MetalComboBoxLayoutManager()

Method Detail

### layoutContainer

    public void layoutContainer(Container parent)

  Description copied from interface: `LayoutManager`
  Lays out the container in the specified panel.
  Overrides:
    `layoutContainer` in class `BasicComboBoxUI.ComboBoxLayoutManager`
  Following copied from interface: `java.awt.LayoutManager`
  Parameters:
    `parent` - the component which needs to be laid out

### superLayout

    public void superLayout(Container parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.